Bug 12000 - staff users can set hold suspension dates to occur in the past
Summary: staff users can set hold suspension dates to occur in the past
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Bugs List
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-26 17:12 UTC by Galen Charlton
Modified: 2015-06-04 23:30 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 12000: ensure that hold resumption dates can be set only to future dates (3.38 KB, patch)
2014-03-26 18:05 UTC, Galen Charlton
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 12000: ensure that hold resumption dates can be set only to future dates (3.46 KB, patch)
2014-03-28 19:15 UTC, Owen Leonard
Details | Diff | Splinter Review
[PASSED QA] Bug 12000: ensure that hold resumption dates can be set only to future dates (3.54 KB, patch)
2014-03-31 09:31 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Galen Charlton 2014-03-26 17:12:51 UTC
In the hold request management page, the datepicker lets staff users set the hold resumption date in the past.  This doesn't seem useful:

- if automatic hold un-suspension is enabled, the hold will flip back to unsuspended the next time the cronjob runs
- if the user means to suspend a hold indefinitely, the way to do it is to not set a specific resumption date

This issue also affects the datepicker for the resumption date on the checkout page.

It does NOT affect the datepicker on the patron details page, which lets the staff user only pick dates in the future.
Comment 1 Galen Charlton 2014-03-26 18:05:49 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2014-03-28 19:15:15 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2014-03-31 09:31:35 UTC
Created attachment 26700 [details] [review]
[PASSED QA] Bug 12000: ensure that hold resumption dates can be set only to future dates

This patch makes the datepickers for the hold resumption date
(AKA the hold suspend until date) field only permit dates in
the future to be selected in the staff interface checkout page
and hold list pages.  This makes these pages consistent with
the OPAC and the patron details page in the staff interface.

To test:

[1] Ensure that AutoResumeSuspendedHolds and SuspendHoldsIntranet
    are enabled.
[2] Go to the checkout page for a patron that has at least one hold
    request.
[3] Verify that the datepicker for the hold suspend until
    date field only permits choosing a date in the future.
[4] Go to the page listing hold requests for a title.
[5] Verify that the datepicker for the hold suspend until
    date fields only permit choosing a date in the future.

Signed-off-by: Galen Charlton <gmc@esilibrary.com>
Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Works as described, passes all tests and QA script.
Comment 4 Galen Charlton 2014-03-31 14:27:46 UTC
Pushed to master.
Comment 5 Fridolin SOMERS 2014-06-18 16:13:41 UTC
Pushed to 3.14.x, will be in 3.14.08